smoothSnp {SNPchip} | R Documentation

## A simple nonparametric smoother for genotype and copy number

### Description

A loess smoother for finding regions of reduced copy number and loss of heterozygosity.

### Usage

    smoothSnp(object, ...)

### Arguments

`object` | Object derived from `AnnotatedSnpSet`
`...` | For additional arguments see details.

### Details

Additional arguments include the chromosomes (character vector) and samples (numerical vector) to smooth. Options for smoothing are set by specifying the span and the method. The loess method is the default and the only method currently available.

### Value

An object of the same class, e.g., `AnnotatedSnpSet`, but assayData elements copyNumber and calls are replaced by the smoothed values.

### Note

### Author(s)

Robert Scharpf

### References

### See Also

### Examples

[Package SNPchip version 1.0.0 Index]